Last Comment Bug 1310957 - Image preview tooltip remains visible when window loses focus
: Image preview tooltip remains visible when window loses focus
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Inspector (show other bugs)
: Trunk
: Unspecified Unspecified
-- normal (vote)
: Firefox 52
Assigned To: Julian Descottes [:jdescottes]
:
: Gabriel Luong [:gl][1 biz day review guarantee] (ΦωΦ)
Mentors:
Depends on: 1327979
Blocks: 1301342
  Show dependency treegraph
 
Reported: 2016-10-18 02:28 PDT by Julian Descottes [:jdescottes]
Modified: 2017-01-01 03:18 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
image-preview-on-other-window.gif (563.06 KB, image/gif)
2016-10-18 02:28 PDT, Julian Descottes [:jdescottes]
no flags Details
Bug 1310957 - listen to XUL Panel wrapper hidden event to hide HTML tooltip; (58 bytes, text/x-review-board-request)
2016-10-18 15:09 PDT, Julian Descottes [:jdescottes]
gl: review+
Details | Review

Description User image Julian Descottes [:jdescottes] 2016-10-18 02:28:16 PDT
Created attachment 8802041 [details]
image-preview-on-other-window.gif

Regression from Bug 1301342.

Now that the XUL panel used by the HTMLTooltips has the "noautohide" attribute set to true, the tooltips are no longer hidden when the window loses focus (see attached GIF)

This is only an issue for tooltips using a XULPanelWrapper because the other tooltips are constrained to the devtools document and can't be displayed outside of the devtools' window. 

We should try an alternative solution for 1301342 and reuse the fact that XUL panels get automatically hidden rather than preventing it. For instance we could listen for the "hidden" event of the panel, and programmatically hide the corresponding HTMLTooltip when we receive it.
Comment 1 User image Julian Descottes [:jdescottes] 2016-10-18 15:09:18 PDT Comment hidden (mozreview-request)
Comment 2 User image Julian Descottes [:jdescottes] 2016-10-18 15:21:52 PDT Comment hidden (mozreview-request)
Comment 3 User image Julian Descottes [:jdescottes] 2016-10-18 15:32:18 PDT
Implemented the approach described in the summary. Try https://treeherder.mozilla.org/#/jobs?repo=try&revision=d98e767c662805160a39652ccfca2096cd6f3d57
Comment 4 User image Julian Descottes [:jdescottes] 2016-10-19 02:05:05 PDT Comment hidden (mozreview-request)
Comment 5 User image Julian Descottes [:jdescottes] 2016-10-19 02:05:30 PDT
Try is green except for unrelated taskcluster issues. Asking for review!
Comment 6 User image Julian Descottes [:jdescottes] 2016-10-19 02:19:49 PDT Comment hidden (mozreview-request)
Comment 7 User image Gabriel Luong [:gl][1 biz day review guarantee] (ΦωΦ) 2016-10-19 09:55:42 PDT
Comment on attachment 8802326 [details]
Bug 1310957 - listen to XUL Panel wrapper hidden event to hide HTML tooltip;

https://reviewboard.mozilla.org/r/86742/#review85966
Comment 8 User image Pulsebot 2016-10-19 10:14:39 PDT
Pushed by jdescottes@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/9ee4fd380512
listen to XUL Panel wrapper hidden event to hide HTML tooltip;r=gl
Comment 9 User image Phil Ringnalda (:philor) 2016-10-19 18:31:50 PDT
https://hg.mozilla.org/mozilla-central/rev/9ee4fd380512
Comment 10 User image Maruf Rahman[:mMARUF] 2016-10-28 09:03:15 PDT
I have reproduced this bug with Nightly 52.0a1 (2016-10-18) (64-bit) on Windows 7, 64 Bit !

This bug's fix is verified with latest Nightly 

Build ID     20161028030204
User Agent   Mozilla/5.0(Windows NT 6.1; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 11 User image Petruta Rasa [QA] [:petruta] 2016-10-31 03:32:02 PDT
Thanks for verifying using Windows :mMARUF!

Also confirmed verified fixed under Mac OS X 10.11 with latest Nightly 52.0a1, so I'm updating it's resolution.

Note You need to log in before you can comment on or make changes to this bug.